[Android] Support NDK 11

Jean-Baptiste Kempf git at videolan.org
Thu Mar 10 23:34:39 CET 2016


vlc-android | branch: master | Jean-Baptiste Kempf <jb at videolan.org> | Thu Mar 10 23:20:58 2016 +0100| [5119e0d85559830681d9bab09900e2d8db1f7d96] | committer: Jean-Baptiste Kempf

Support NDK 11

> https://code.videolan.org/videolan/vlc-android/commit/5119e0d85559830681d9bab09900e2d8db1f7d96
---

 compile-libvlc.sh | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/compile-libvlc.sh b/compile-libvlc.sh
index 3c5599d..7ce3f3d 100755
--- a/compile-libvlc.sh
+++ b/compile-libvlc.sh
@@ -293,8 +293,22 @@ case "$REL" in
         fi
     ;;
     *)
-        echo "You need the NDKv10 or later"
-        exit 1
+        REL2=$(grep -o '^Pkg.Revision.*[0-9]*.*' $ANDROID_NDK/source.properties |cut -d " " -f 3 | cut -d "." -f 1)
+        case "$REL2" in
+            11*)
+                if [ "${HAVE_64}" = 1 ];then
+                    ANDROID_API=android-21
+                    GCCVER=4.9
+                else
+                    ANDROID_API=android-9
+                    GCCVER=4.9
+                fi
+            ;;
+            *)
+            echo "You need the NDKv10 or later"
+            exit 1
+            ;;
+         esac
     ;;
 esac
 



More information about the Android mailing list